%define upstream_name    Tee
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Pure Perl emulation of GNU tee
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::CaptureOutput)
BuildRequires: perl(IO::File)
BuildRequires: perl(Probe::Perl)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
The 'Tee' distribution provides the the ptee manpage program, a pure Perl
emulation of the standard GNU tool 'tee'. It is designed to be a
platform-independent replacement for operating systems without a native
'tee' program. As with 'tee', it passes input received on STDIN through to
STDOUT while also writing a copy of the input to one or more files. By
default, files will be overwritten.

Unlike 'tee', 'ptee' does not support ignoring interrupts, as signal
handling is not sufficiently portable.

The 'Tee' module provides a convenience function that may be used in place
of 'system()' to redirect commands through 'ptee'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

# Try to fix failure on BS
%{__make}

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/ptee
/usr/share/man/man1/ptee.1.*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.140.0-8.mga6
+ Revision: 1033836
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.140.0-7.mga6
+ Revision: 949708
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.140.0-6.mga5
+ Revision: 790239
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-5.mga5
+ Revision: 740257
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-4.mga5
+ Revision: 686331
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.140.0-3.mga4
+ Revision: 514969
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 373118
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 16 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 52443
- update to 0.14

* Sat Jan 22 2011 shikamaru <shikamaru> 0.130.0-1.mga1
+ Revision: 32259
- do not use hardcoded extension for manpage
- try to fix build on BS

  + jquelin <jquelin>
    - mageia rebuild
    - imported package perl-Tee


* Fri Dec 24 2010 Shlomi Fish <shlomif@mandriva.org> 0.130.0-1mdv2011.0
+ Revision: 624641
- import perl-Tee

